<?php
session_start();
include '../conexion.php';
$sucursal=$_POST['suc'];

$query1=null;
$dato=null;

switch($sucursal){
    case '1': 
        $query1="select num_emp,empCompleto from datos_empleados where ubicacion='TIJUANA' or ubicacion='ROSARITO' order by num_emp ASC"; 
        $sqlexistencia="select * from datos_uniformes where inv1>0 order by descrip ASC";
        break;
    case '2': 
        $query1="select num_emp,empCompleto from datos_empleados where ubicacion='ENSENADA' order by num_emp ASC"; 
        $sqlexistencia="select * from datos_uniformes where inv2>0 order by descrip ASC";
        break;
    case '3': 
        $query1="select num_emp,empCompleto from datos_empleados where ubicacion='MEXICALI' order by num_emp ASC"; 
        $sqlexistencia="select * from datos_uniformes where inv3>0 order by descrip ASC";
        break;

}

if($sucursal==0){
    $dato.='<p>Selecciona Fecha y Sucursal, para continuar</p>';
} else{

    $dato.='
<table>
                <tr>
				<td colspan="2" style="text-align: left;">
				<div class="form-group">
                <label style="font-size: 12px;" for="empleado">Empleado:</label>
                        <select style="font-size: 12px;"  class="form-control" id="empleado">
                        <option value="0">--Selecciona--</option>';
                        
                            $sql=mysqli_query($connection,$query1);
                            $result=mysqli_num_rows($sql);
					
                            if($result>0){
                            while($data=mysqli_fetch_array($sql)){
                                
                    
                            $dato.='<option value="'.$data['num_emp'].'">'.utf8_encode($data['empCompleto']).'</option>';
                    
                                }
                            }
                    $dato.='
							
						</select>
                    </div>
				</td>
                        </tr>
				<tr>
				<td style="text-align: left; ">
				<div class="form-group">
                <label style="font-size: 12px;" for="uniforme">Uniforme:</label>
                        <select style="font-size: 12px;"  class="form-control" id="uniforme" onchange="inventario()">
                        <option value="0">--Selecciona--</option>';
                        
                            $sql=mysqli_query($connection,$sqlexistencia);
                            $result=mysqli_num_rows($sql);
					
                            if($result>0){
                            while($data=mysqli_fetch_array($sql)){
                                
                    
                            $dato.= '<option value="'.$data['iduniforme'].'">'.$data['descrip'].'</option>';
                    
                                }
                            }
                    
							$dato.='
						</select>
                    </div>
				</td>
                <td style="width:15px;">
                <div class="form-group">
                <label style="font-size: 12px;" for="cantx">Uniforme:</label>
                        <input style="font-size: 12px;" step="1" class="form-control" id="cantx" onchange="validarInventario()"></input>
                    </div>
                </td>
				<td>
				<button type="button" id="agregar" class="btn btn-success" onclick="agregarFilaTabla()"><i class="fa-solid fa-plus"></i></button>
				</td>
				</tr>
                        </table>
                        <table>
				<tr>
				<td style="text-align:left;"><strong>Existencias</strong></td>
                        </tr>
                        </table>
                        <table style="width:60%;">
				<tr>
				
				<td style="width:100px">
				<div class="form-group">
                        <label style="font-size: 12px;" for="inv1">Tijuana</label>
                        <input style="font-size: 12px;" type="number" class="form-control" id="inv1" disabled/>
					</div>
				</td>
                <td style="width:100px">
				<div class="form-group">
                        <label style="font-size: 12px;" for="inv2">Ensenada</label>
                        <input style="font-size: 12px;" type="number" class="form-control" id="inv2" disabled/>
					</div>
				</td>
                <td style="width:100px">
				<div class="form-group">
                        <label style="font-size: 12px;" for="inv3">Mexicali</label>
                        <input style="font-size: 12px;" type="number" class="form-control" id="inv3" disabled/>
					</div>
				</td>
                <td style="width:100px">
				</td>
                
				</tr>
				</table>

                <table class="table" id="tablaDinamica" name="tablaDinamica">
                <thead>
                  <tr>
                    <th style="font-size: 12px;width:10%">id</th>  
                    <th style="font-size: 12px;width:10%">Cant</th>
                    <th style="font-size: 12px;width:70%">Uniforme</th>
                    <th style="font-size: 12px;width:10%"></th>
                  </tr>
                </thead>
                <tbody>
                  <!-- Las filas se agregarán dinámicamente aquí -->
                </tbody>
              </table>


              ';
              $dato.="
              <script>
               $('#agregar').prop('disabled', true);
              function agregarFilaTabla() {
                var id=$('#uniforme').val();
                var cantidad=$('#cantx').val();


                if ($('#uniforme').val() == '0') {
                    $('.statusMsg').html('<span style=\"color:red;\">Selecciona un uniforme.</span>');
                } else if ($('#empleado').val() == '0' ) {
                    $('.statusMsg').html('<span style=\"color:red;\">Selecciona un empleado.</span>');
                } else if ($('#fecha').val() == '' ) {
                    $('.statusMsg').html('<span style=\"color:red;\">Ingresa la fecha.</span>');
                } else if ($('#sucursal').val() == '0' ) {
                    $('.statusMsg').html('<span style=\"color:red;\">Selecciona una sucursal.</span>');
                } else if ($('#cantx').val() == '0' ||$('#cantx').val() == '') {
                    $('.statusMsg').html('<span style=\"color:red;\">Ingresa la cantidad.</span>');
                } else {
                    var uniformeYaExiste = false;
                    //var cantidad=parseFloat($('#cantidad').val());
                    //var costo=parseFloat($('#costo').val());
                    //var importe=costo*cantidad;
                    
                    $('#empleado').prop(\"disabled\",true);
                    $('#fecha').prop(\"disabled\",true);
                    $('#sucursal').prop(\"disabled\",true);


                    // Verificar si el uniforme ya existe en la tabla
                    $('#tablaDinamica tbody tr').each(function() {
                        var valorUniforme = $(this).find('input[name=\"id[]\"]').val();
                        if (valorUniforme == $('#uniforme').val()) {
                            uniformeYaExiste = true;
                            return false; // Salir del each loop
                        }
                    });

                    if (uniformeYaExiste) {
                        $('.statusMsg').html('<span style=\"color:red;\">El uniforme ya ha sido agregado.</span>');
                    } else {
                        $('.statusMsg').html('');
                        
                        $.ajax({
                            type: 'POST',
                            url: 'obtener_uniforme.php', // Cambia esto por el nombre de tu archivo PHP
                            data: { iduniforme: $('#uniforme').val() },
                            success: function(response) {
                                var data = JSON.parse(response);
                                if (data.success) {
                                    var fila = '<tr>' +
                                        '<td style=\"width:10%\"><input disabled style=\"font-size: 10px;width:50px;\" type=\"text\"  class=\"form-control\" name=\"id[]\" value=\"' + id + '\"></td>' +    
                                        '<td style=\"width:10%\"><input disabled style=\"font-size: 10px;width:50px;\" type=\"text\" step=\"1\" class=\"form-control\" name=\"cant[]\" value=\"' + cantidad + '\"></td>' +
                                        '<td style=\"width:65%\"><input disabled style=\"font-size: 10px;\" type=\"text\" class=\"form-control\" name=\"uniforme[]\" value=\"' + data.uniforme + '\"></td>' +
                                        '<td style=\"width:10%\"><button type=\"button\" class=\"btn btn-danger\" onclick=\"eliminarFilaTabla(this)\"><i class=\"fa-solid fa-eraser\"></i></button></td>' +
                                        '</tr>';
                                    $('#tablaDinamica tbody').append(fila);
                                    $('#uniforme').val('0');
                                    $('#cantx').val('');
                                    $('#agregar').prop('disabled', true);
                                    //$('#costo').val('');
                                    //calcularTotal();
                                } else {
                                    $('.statusMsg').html('<span style=\"color:red;\">Error al obtener los datos del uniforme.</span>');
                                }
                            },
                            error: function() {
                                $('.statusMsg').html('<span style=\"color:red;\">Error en la solicitud.</span>');
                            }
                        });
                    }
                }
            }


            // Función para eliminar una fila de la primera tabla
            function eliminarFilaTabla(btn) {
                $(btn).closest('tr').remove();
                calcularImporte(btn);
                
            }


            function validarInventario(){
                var id=$('#uniforme').val();
                var sucursal=$('#sucursal').val();
                var cantidad=$('#cantx').val();
                 $('#agregar').prop('disabled', true);
                 $('.statusMsg').html('');
                $.ajax({
                            type: 'POST',
                            url: 'obtener_uniforme.php', // Cambia esto por el nombre de tu archivo PHP
                            data: { iduniforme: $('#uniforme').val() },
                            success: function(response) {
                                var data = JSON.parse(response);
                                if (data.success) {
                                    if(sucursal=='1'){
                                        if(data.inv1-cantidad<0){
                                            $('.statusMsg').html('<span style=\"color:red;\">El inventario no es suficiente.</span>');
                                            $('#agregar').prop('disabled', true);
                                        }else{
                                        $('#agregar').prop('disabled', false);
                                        }
                                    }else if(sucursal=='2'){
                                        if(data.inv2-cantidad<0){
                                            $('.statusMsg').html('<span style=\"color:red;\">El inventario no es suficiente.</span>');
                                            $('#agregar').prop('disabled', true);
                                        }else{
                                        $('#agregar').prop('disabled', false);
                                        }
                                    }else if(sucursal=='3'){
                                        if(data.inv3-cantidad<0){
                                            $('.statusMsg').html('<span style=\"color:red;\">El inventario no es suficiente.</span>');
                                            $('#agregar').prop('disabled', true);
                                        }else{
                                        $('#agregar').prop('disabled', false);
                                        }

                                    }
                                        
                                    /*$('#inv1').val(data.inv1);
                                    $('#inv2').val(data.inv2);
                                    $('#inv3').val(data.inv3);*/
                                } else {
                                    $('.statusMsg').html('<span style=\"color:red;\">Error al obtener los inventarios.</span>');
                                }
                            },
                            error: function() {
                                $('.statusMsg').html('<span style=\"color:red;\">Error en la solicitud.</span>');
                            }
                        });
            }

            function inventario(){
                var id=$('#uniforme').val();
                $.ajax({
                            type: 'POST',
                            url: 'obtener_uniforme.php', // Cambia esto por el nombre de tu archivo PHP
                            data: { iduniforme: $('#uniforme').val() },
                            success: function(response) {
                                var data = JSON.parse(response);
                                if (data.success) {
                                    $('#inv1').val(data.inv1);
                                    $('#inv2').val(data.inv2);
                                    $('#inv3').val(data.inv3);
                                } else {
                                    $('.statusMsg').html('<span style=\"color:red;\">Error al obtener los inventarios.</span>');
                                }
                            },
                            error: function() {
                                $('.statusMsg').html('<span style=\"color:red;\">Error en la solicitud.</span>');
                            }
                        });
            }
                        </script>
                        ";

}



              $mensaje = array(
                'r' => $dato
            );
                
            echo json_encode($mensaje);